<%= form_with(url: (employee.persisted? ? employee_path(employee) : employees_path), model: employee, local: true, html: { class: "ui form" }) do |form| %>
  <% if employee.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(employee.errors.count, "error") %> prohibited this employee from being saved:</h2>

      <ul>
      <% employee.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>
  <div class="required field">
    <%= label_tag(:prename, "Prename") %>
    <% prename_array = @prenames.map { |r| [r.label, r.code] } %>
    <%= form.select(:prename, prename_array, class: "ui dropdown") %>
  </div>
  <div class="required field">
    <%= label_tag(:first_name, "First Name") %>
    <%= form.text_field :first_name %>
  </div>
  <div class="field">
    <%= label_tag(:last_name, "Last Name") %>
    <%= form.text_field :last_name %>
  </div>
  <div class="required field">
    <%= label_tag(:provider_identifier, "ID") %>
    <%= form.text_field :provider_identifier %>
  </div>
  <div class="required field">
    <%= label_tag(:position, "Position") %>
    <%= form.text_field :position %>
  </div>
  <div class="field">
    <%= label_tag(:position_type, "Position Type") %>
    <% position_types_array = @position_types.map { |p| [p.label, p.code] } %>
    <%= form.select(:position_type, position_types_array, class: "ui dropdown") %>
  </div>
  <div class="required field">
    <%= label_tag(:department, "Department") %>
    <%= form.text_field :department %>
  </div>
  <div class="field">
    <%= label_tag(:phone_number_work, "Phone Number Work") %>
    <%= form.text_field :phone_number_work %>
  </div>
  <div class="field">
    <%= label_tag(:phone_number_fax, "Phone Number Fax") %>
    <%= form.text_field :phone_number_fax %>
  </div>
  <div class="field">
    <%= label_tag(:phone_number_mobile, "Phone Number Mobile") %>
    <%= form.text_field :phone_number_mobile %>
  </div>
  <%= form.submit "Submit", class: "ui positive button" %>
  <%= link_to cancel, class: "ui button" do %>
    <i class="chevron left icon"></i> Back
  <% end %>
<% end %>
